/***************************************************************************
*
* (C) Copyright 1998-1999 Rainbow Technologies, Inc. All rights reserved.
*
* Description:  MD5 support interface.
*
* Environment:  User mode
*
* Revision History:
*
*   12/12/98: Mehdi - created
* 
****************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

unsigned char *
__stdcall
MD5_Hash( unsigned char * Data,
          unsigned long   Length,
          unsigned char * Digest );

unsigned char*
__stdcall
HMAC_MD5( unsigned char*  text,         /* pointer to data stream        */
          int             text_len,     /* length of data stream         */
          unsigned char*  key,          /* pointer to authentication key */
          int             key_len,      /* length of authentication key  */
          unsigned char*  key1,         /* inner hashed key (optional)   */
          unsigned char*  key2,         /* outer hashed key (optional)   */
          unsigned char*  digest );     /* caller digest to be filled in */

unsigned char*
__stdcall
CHAP_MD5( unsigned char   identifier,
          unsigned char*  secret,
          int             secret_len,
          unsigned char*  challenge,
          int             challenge_len,
          unsigned char*  digest );

#ifdef __cplusplus
}
#endif

