#ifdef __cplusplus
extern "C" {
#endif

typedef unsigned long int UINT4;

typedef struct {
  UINT4 i[2];                   /* number of _bits_ handled mod 2^64 */
  UINT4 buf[4];                                    /* scratch buffer */
  unsigned char in[64];                              /* input buffer */
  unsigned char digest[16];     /* actual digest after MD5Final call */
} MD5_CTX;

void __stdcall MD5Init (MD5_CTX *);
void __stdcall MD5Update (MD5_CTX *,unsigned char *,unsigned int);
void __stdcall MD5Final (unsigned char *,MD5_CTX *);
void __stdcall MD5Transform(UINT4 *,UINT4 *);

#ifdef __cplusplus
}
#endif

